{# FIXME: when fwupd is fixed, replace capsule_url with capsule_cab_url #}
{%- set capsule = basename(capsule_url) %}
{%- set invalid_sig_capsule = basename(invalid_sig_capsule_url) %}
{%- set capsule_update_tests = (
    ("invalid-sig", invalid_sig_capsule, "Applying capsule " + invalid_sig_capsule + " failed"),
    ("random-data", "random_data.capsule", "Reading capsule random_data.capsule failed"),
    ("valid-capsule", capsule, "Applying capsule " + capsule + " succeeded"),
)
%}

{% for testname, filename, message in capsule_update_tests %}
# Capsule updates - {{ testname }}
- test:
    timeout:
      minutes: 15
    interactive:
      - name: capsule-updates-install-{{ testname }}
        echo: discard
        prompts: ['root@trs-qemuarm64:']
        script:
          - command: wget --progress=dot:giga http://{SERVER_IP}/tmp/{JOB_ID}/downloads/common/{{ filename }}
          - command: mkdir -p /boot/EFI/UpdateCapsule/
          - command: cp {{ filename }} /boot/EFI/UpdateCapsule/
      - name: capsule-updates-start-{{ testname }}
        echo: discard
        prompts: ["U-Boot TPL"]
        script:
          - command: "reboot"
      - name: capsule-updates-prepare-{{ testname }}
        echo: discard
        prompts: ["Hit any key to stop autoboot", "=> "]
        script:
          - command: # wait for "Hit any key ..."
          - command: "" # hit enter to stop autoboot
          - command: "setenv -e -bs -nv -rt Capsule0000"
          - command: "setenv -e -bs -nv -rt Capsule0001"
          - command: "setenv -e -bs -nv -rt Capsule0002"
          - command: "setenv -e -bs -nv -rt Capsule0003"
          - command: "setenv -e -bs -nv -rt Capsule0004"
          - command: "setenv -e -bs -nv -rt Capsule0005"
          - command: "setenv -e -bs -nv -rt Capsule0006"
          - command: "setenv -e -bs -nv -rt Capsule0007"
          - command: "setenv -e -bs -nv -rt Capsule0008"
          - command: "setenv -e -bs -nv -rt Capsule0009"
          - command: "setenv -e -bs -nv -rt Capsule0010"
          - command: "setenv -e -bs -nv -rt CapsuleLast"
          - command: "efidebug boot add -b 1001 cap mmc 1:6 EFI/UpdateCapsule"
          - command: "efidebug boot next 1001"
      - name: capsule-updates-reset-{{ testname }}
        echo: discard
        prompts: ["U-Boot TPL"]
        script:
          - command: "reset"

- test:
    timeout:
      minutes: 15
    interactive:
      - name: capsule-updates
        echo: discard
        prompts: ["Booting"]
        script:
          - name: {{ testname }}
            command:
            successes:
              - message: "{{ message }}"


- boot:
    timeout:
      minutes: 5
    method: minimal
    reset: false
    auto_login:
      login_prompt: 'login:'
      username: 'root'
    prompts: ["root@(.*):[/~]#"]

{% endfor %}
